﻿@model Tuple<List<BPGroupView>, CompanyView>
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Companies.CD</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label class="col-md-1 control-label">@Companies.SN</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.Item2.Server, new { @class = "form-control" })
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-1 control-label">@Companies.DBName</label>
            <div class="col-md-4">
                @Html.LabelForModel(Model.Item2.CompanyDB, new { @class = "form-control" })
            </div>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Companies.BGL</h3>
    </div>
    <div class="panel-body">
        <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
            <div id="TableItemsForm">
                @Html.Partial("_BPGroupTable", Model.Item1)
            </div>
        </div>
        <div class="clear1">  </div>
        <div class="divider">  </div>
        <div class="col-md-12 no-padding">
            <a href='@Url.Action("ActionBPGroup", "BPGroup", new { @ActionBPGroup = "Add", @IdBPGroup = 0, @IdCompany = Model.Item2.IdCompany })' class="btn btn-success btn-ls">
                @Companies.AN
            </a>
        </div>
    </div>

</div>

<div class="but_blok_footer">
    <div class="col-md-12">
        <button type="button" id="btnOk" class="btn btn-lg btn-success margin-left pull-right">Ok</button>
        @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default  margin-left pull-right" })
    </div>
</div>

@Html.HiddenFor(model => model.Item2.IdCompany, new { @id = "IdCompany" })
@Scripts.Render("~/bundles/BPGroup-Index")
